## minipro-0.0.1.tar.gz

=== Makefile ===
.PHONY: all clean install test
COMMON_OBJECTS=byte_utils.o database.o minipro.o fuses.o easyconfig.o
OBJECTS=$(COMMON_OBJECTS) main.o minipro-query-db.o
PROGS=minipro minipro-query-db
MINIPRO=minipro
MINIPRO_QUERY_DB=minipro-query-db
MINIPROHEX=miniprohex
TESTS=$(wildcard tests/test_*.c);
OBJCOPY=objcopy

BIN_DIR=$(DESTDIR)/usr/bin/
UDEV_RULES_DIR=$(DESTDIR)/usr/lib/udev/rules.d/
MAN_DIR=$(DESTDIR)/usr/share/man/man1/
COMPLETIONS_DIR=$(DESTDIR)/etc/bash_completion.d/

libusb_CFLAGS = `pkg-config --cflags libusb-1.0`
libusb_LIBS = `pkg-config --libs libusb-1.0`

CFLAGS = -g -O0
override CFLAGS += $(libusb_CFLAGS)
override LIBS += $(libusb_LIBS)

all: $(OBJECTS) $(PROGS)

minipro: $(COMMON_OBJECTS) main.o
	$(CC) $(COMMON_OBJECTS) main.o $(LIBS) -o $(MINIPRO)

minipro-query-db: $(COMMON_OBJECTS) minipro-query-db.o
	$(CC) $(COMMON_OBJECTS) minipro-query-db.o $(LIBS) -o $(MINIPRO_QUERY_DB)

clean:
	rm -f $(OBJECTS) $(PROGS)

install:
	mkdir -p $(BIN_DIR)
	mkdir -p $(UDEV_RULES_DIR)
	mkdir -p $(MAN_DIR)
	mkdir -p $(COMPLETIONS_DIR)
	cp $(MINIPRO) $(BIN_DIR)
	cp $(MINIPRO_QUERY_DB) $(BIN_DIR)
	cp $(MINIPROHEX) $(BIN_DIR)
	cp udev/rules.d/80-minipro.rules $(UDEV_RULES_DIR)
	cp bash_completion.d/minipro $(COMPLETIONS_DIR)
	cp man/minipro.1 $(MAN_DIR)

=== debian/changelog ===
minipro (0.1-1) unstable; urgency=low

  * Initial release

 -- minoru <minoru@unknown>  Tue, 25 Feb 2014 10:03:07 +0700

=== debian/control ===
Source: minipro
Section: universe/electronics
Priority: extra
Maintainer: Valentin Dudouyt <valentin.dudouyt@gmail.com>
Build-Depends: debhelper (>= 8.0.0), libusb-1.0-0-dev
Standards-Version: 3.9.4
Homepage: https://github.com/vdudouyt/minipro
Vcs-Git: git://github.com/vdudouyt/minipro
Vcs-Browser: https://github.com/vdudouyt/minipro

Package: minipro
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: software for Minipro TL866XX series of programmers from autoelectric.cn.
